/*
 * MUST (Marmot Umpire Scalable Tool)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file DCollectiveInitNotify.h
 *       @see MUST::DCollectiveInitNotify.
 *
 *  @date 03.05.2012
 *  @author Tobias Hilbrich, Joachim Protze, Mathias Korepkat, Fabian Hnsel
 */

#include "ModuleBase.h"
#include "I_DCollectiveInitNotify.h"

#ifndef DCOLLECTIVEINITNOTIFY_H
#define DCOLLECTIVEINITNOTIFY_H

using namespace gti;

namespace must
{
	/**
     * Implementation of I_DCollectiveInitNotify.
     */
    class DCollectiveInitNotify : public gti::ModuleBase<DCollectiveInitNotify, I_DCollectiveInitNotify>
    {
    protected:

    public:
        /**
         * Constructor.
         * @param instanceName name of this module instance.
         */
        DCollectiveInitNotify (const char* instanceName);

    		/**
    		 * Destructor.
    		 */
    		virtual ~DCollectiveInitNotify (void);

    		/**
    		 * @see I_DCollectiveInitNotify::notifyInit
    		 */
    		GTI_ANALYSIS_RETURN notifyInit (void);

    }; /*class DCollectiveInitNotify */
} /*namespace MUST*/

#endif /*DCOLLECTIVEINITNOTIFY_H*/
