/*
 * MUST (Marmot Umpire Scalable Tool)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file DCollectiveMatchRoot.cpp
 *       @see must::DCollectiveMatchRoot.
 *
 *  @date 25.04.2012
 *  @author Fabian Hnsel, Tobias Hilbrich, Joachim Protze, Mathias Korepkat
 */

#include "GtiMacros.h"

#include "DCollectiveMatchRoot.h"

using namespace must;

mGET_INSTANCE_FUNCTION(DCollectiveMatchRoot);
mFREE_INSTANCE_FUNCTION(DCollectiveMatchRoot);
mPNMPI_REGISTRATIONPOINT_FUNCTION(DCollectiveMatchRoot);

//=============================
// Constructor
//=============================
DCollectiveMatchRoot::DCollectiveMatchRoot(const char* instanceName)
: DCollectiveMatch<DCollectiveMatchRoot, I_DCollectiveMatchRoot> (instanceName, false)
  {
    //Nothing to do
  }

//=============================
// Destructor
//=============================
DCollectiveMatchRoot::~DCollectiveMatchRoot()
{
    //Nothing to do
}

/*EOF*/
